<div class="container">
    <img class="mb-4 hope-logo" src="../../../assets/hope_logo.svg" alt="">
    <form class="form-register">
        <fieldset class="form-group form-row">
            <span class="col-form-label col-sm-7">Vaccination Location:</span>
            <div class="form-check-inline col-sm-5">
                <input class="form-check-input" type="checkbox" name="gridRadios" [(ngModel)]="newLocation.onsite"  id="gridRadios1" value="true">  
                <label class="form-check-label" for="gridRadios1">Main-Site</label>
            </div>
        </fieldset>

        <div *ngIf="newLocation.onsite; else elseBlock">
            <!-- Condition is met: {{newLocation.onsite}} --> 
            <!-- version 0: --> 
            <div class="form-row">
                <div class="form-group col-sm-12">
                    <label for="inputProviderName">Site Name:</label>
                    <p><strong>Main Site</strong></p>
                </div>
            </div>
        
            <div class="form-row">
                <div class="form-group col-sm-12">
                    <label for="inputMainAddress">Address:</label>
                    <p><strong>{{currentProvider.mainAddress}}</strong></p>
        
                </div>
            </div>
        
            <div class="form-row">
                <div class="form-group col-sm-12">
                    <label for="inputCity">City</label>
                    <p><strong>{{currentProvider.city}}</strong></p>
                </div>
            </div>
    
            <div class="row">
                <div class="form-group col-md-4">
                    <label for="inputState">State</label>
                    <p><strong>{{currentProvider.state}}</strong></p>
                </div>
            
                <div class="form-group col-md-8">
                    <label for="inputZip">Zip</label>
                    <p><strong>{{currentProvider.postalCode}}</strong></p>
                </div>
            </div>

            <div class="form-row">
                <div class="form-group col-sm-12">
                    <label for="inputContactPerson">Contact Person:</label>
                    <input type="text" name="contactPerson" [(ngModel)]="newLocation.contactPerson" class="form-control" id="inputContactPerson" placeholder="" required="">
                </div>
            </div>
    
            <div class="form-row">
                <div class="form-group col-sm-12">
                    <label for="inputPhoneNumber">Contact Person's Phone Number:</label>
                    <input type="tel" name="mainPhoneNumber" [(ngModel)]="newLocation.contactPersonPhoneNumber" class="form-control" id="inputPhoneNumber" placeholder="xxx-xxx-xxxx" required="">
                </div>
            </div>
        </div>

        <ng-template #elseBlock>
            <!-- Content to render when condition is false: {{newLocation.onsite}} -->
            

            <div class="form-row">
                <div class="form-group col-sm-12">
                    <label for="inputProviderName">Site Name:</label>
                    <input type="text" name="providerName" [(ngModel)]="newLocation.siteName" class="form-control" id="inputProviderName" placeholder="" required="">
                </div>
            </div>
        
            <div class="form-row">
                <div class="form-group col-sm-12">
                    <label for="inputMainAddress">Address:</label>
                    <input type="text" name="mainAddress" [(ngModel)]="newLocation.address" class="form-control" id="inputMainAddress" placeholder="" required="">
        
                </div>
            </div>
        
            <div class="form-row">
                <div class="form-group col-sm-12">
                    <label for="inputCity">City</label>
                    <input type="text" name="city" [(ngModel)]="newLocation.city" class="form-control" id="inputCity" required="">
                </div>
            </div>
    
    
            <div class="row">
    
                    <div class="form-group col-md-4">
                        <label for="inputState">State</label>
                        <select id="inputState" name="state" [(ngModel)]="newLocation.state" class="form-control" required="">
                            <option selected>Choose...</option>
                            <option value="CA">California</option>
                            <option value="SC">South Carolina</option>
                            <option value="WA">Washington</option>
                        </select>
                    </div>
                
                    <div class="form-group col-md-8">
                        <label for="inputZip">Zip</label>
                        <input type="text" name="postalCode" [(ngModel)]="newLocation.postalCode" class="form-control" id="inputZip" required="">
                    </div>
            
            </div>
        
            <div class="form-row">
                <div class="form-group col-sm-12">
                    <label for="inputContactPerson">Contact Person:</label>
                    <input type="text" name="mainPhoneNumber" [(ngModel)]="newLocation.contactPerson" class="form-control" id="inputContactPerson" placeholder="" required="">
                </div>
            </div>
    
            <div class="form-row">
                <div class="form-group col-sm-12">
                    <label for="inputPhoneNumber">Contact Person's Phone Number:</label>
                    <input type="tel" name="mainPhoneNumber" [(ngModel)]="newLocation.contactPersonPhoneNumber" class="form-control" id="inputPhoneNumber" placeholder="xxx-xxx-xxxx" required="">
                </div>
            </div>
    
        </ng-template>
        <div class="form-row">
            <br />
            
            <div class="form-group">
                <button type="submit" class="btn btn-primary" (click)="addLocation()" [mat-dialog-close]="true">Add Location</button>

            </div>
        </div>
    </form>
</div>
